> ## Documentation Index
> Fetch the complete documentation index at: https://e2b-automation-api-reference-update.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get eventswebhooks stats

> Get webhook delivery aggregate stats.



## OpenAPI

````yaml /openapi-public.yaml get /events/webhooks/{webhookID}/stats
openapi: 3.1.0
info:
  title: E2B API
  version: 0.1.0
  description: >-
    Complete E2B developer API. Platform endpoints are served on api.e2b.app.
    Sandbox endpoints (envd) are served on the shared sandbox host
    (sandbox.e2b.app); target a specific sandbox with the E2b-Sandbox-Id and
    E2b-Sandbox-Port headers.
servers:
  - url: https://api.e2b.app
    description: E2B Platform API
security: []
tags:
  - name: Sandboxes
  - name: Templates
  - name: Tags
  - name: Volumes
  - name: Envd
  - name: Filesystem
  - name: Process
  - name: Teams
paths:
  /events/webhooks/{webhookID}/stats:
    servers:
      - url: https://api.e2b.app
        description: E2B Platform API
    get:
      tags:
        - webhooks
      description: Get webhook delivery aggregate stats.
      operationId: getEventsWebhookStats
      parameters:
        - $ref: '#/components/parameters/webhookID'
        - name: start
          in: query
          required: false
          schema:
            type: string
            format: date-time
          description: Inclusive stats range start. Defaults to 24 hours ago.
        - name: end
          in: query
          required: false
          schema:
            type: string
            format: date-time
          description: Exclusive stats range end. Defaults to now.
      responses:
        '200':
          description: Webhook delivery stats.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryStats'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    webhookID:
      name: webhookID
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    WebhookDeliveryStats:
      description: Webhook delivery aggregate stats
      required:
        - buckets
        - total
        - failed
        - durationMs
      properties:
        buckets:
          type: array
          items:
            $ref: '#/components/schemas/WebhookDeliveryStatsBucket'
        total:
          type: integer
          format: int64
        failed:
          type: integer
          format: int64
        durationMs:
          $ref: '#/components/schemas/WebhookDeliveryDurationStats'
      type: object
    WebhookDeliveryStatsBucket:
      description: Webhook delivery stats for a time bucket
      required:
        - timestamp
        - total
        - failed
        - durationMs
      properties:
        timestamp:
          type: string
          format: date-time
        total:
          type: integer
          format: int64
        failed:
          type: integer
          format: int64
        durationMs:
          $ref: '#/components/schemas/WebhookDeliveryDurationStats'
      type: object
    WebhookDeliveryDurationStats:
      description: Webhook delivery duration statistics in milliseconds
      required:
        - minimum
        - average
        - maximum
      properties:
        minimum:
          type: number
          format: double
        average:
          type: number
          format: double
        maximum:
          type: number
          format: double
      type: object
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
          description: Error code
        error_code:
          type: string
          description: >-
            Machine-readable semantic error code. Not a closed set; initial
            values: sandbox_capacity_unavailable, sandbox_placement_timeout,
            sandbox_no_compatible_node, sandbox_create_failed,
            internal_server_error.
        message:
          type: string
          description: Error
      type: object
  responses:
    '401':
      description: Authentication error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '404':
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '500':
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````